## org.apache.lucene.misc
Class GetTermInfo

    java.lang.Object
      org.apache.lucene.misc.GetTermInfo

    public class GetTermInfo

extends Object

Utility to get document frequency and total number of occurrences (sum of the tf for each doc) of a term.

Constructor Summary
`GetTermInfo()`

Method Summary
`static void` `getTermInfo(Directory dir, Term term)`
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTermInfo

    public GetTermInfo()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### getTermInfo

    public static void getTermInfo(Directory dir,
                                   Term term)
                            throws Exception

  Throws:
    `Exception`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.